Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs
thread_pthread.h File Reference

Go to the source code of this file.

## Data Structures
struct | native_thread_data_struct
struct | rb_global_vm_lock_struct

## Macros
#define | RB_NATIVETHREAD_LOCK_INIT PTHREAD_MUTEX_INITIALIZER
#define | RB_NATIVETHREAD_COND_INIT PTHREAD_COND_INITIALIZER

## Typedefs
typedef pthread_cond_t | rb_nativethread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t
typedef struct rb_global_vm_lock_struct | rb_global_vm_lock_t

## Macro Definition Documentation

## ◆ RB_NATIVETHREAD_COND_INIT

#define RB_NATIVETHREAD_COND_INIT PTHREAD_COND_INITIALIZER

Definition at line 19 of file thread_pthread.h.

## ◆ RB_NATIVETHREAD_LOCK_INIT

#define RB_NATIVETHREAD_LOCK_INIT PTHREAD_MUTEX_INITIALIZER

Definition at line 18 of file thread_pthread.h.

## Typedef Documentation

## ◆ native_thread_data_t

typedef struct native_thread_data_struct native_thread_data_t

## ◆ rb_global_vm_lock_t

typedef struct rb_global_vm_lock_struct rb_global_vm_lock_t

## ◆ rb_nativethread_cond_t

typedef pthread_cond_t rb_nativethread_cond_t

Definition at line 21 of file thread_pthread.h.